import 'package:flutter/material.dart';

/// Call configuration
///
/// @author Pierre Hubert

class CallConfig {
  final List<String> iceServers;

  const CallConfig({
    @required this.iceServers,
  }) : assert(iceServers != null);

  /// Turn this call configuration into the right for the WebRTC plugin
  Map<String, dynamic> get pluginConfig => {
        "iceServers": iceServers.map((f) => {"url": f}).toList()
      };
}
