import 'package:flutter/material.dart';
import 'package:flutter_webrtc/media_stream.dart';

/// Single call member information
///
/// @author Pierre Hubert

enum MemberStatus { JOINED, READY }

class CallMember {
  final int userID;
  MemberStatus status;
  MediaStream stream;

  CallMember({
    @required this.userID,
    this.status = MemberStatus.JOINED,
  })  : assert(userID != null),
        assert(status != null);

  bool get hasVideoStream =>
      stream != null && stream.getVideoTracks().length > 0;
}
