import 'package:comunic/helpers/conversations_helper.dart';
import 'package:comunic/ui/routes/main_route.dart';
import 'package:comunic/utils/intl_utils.dart';
import 'package:comunic/utils/ui_utils.dart';
import 'package:flutter/material.dart';

/// Conversations utilities
///
/// @author Pierre HUBERT

/// Open a private conversation with a given [userID]
Future<bool> openPrivateConversation(BuildContext context, int userID) async {
  final convID = await ConversationsHelper().getPrivate(userID);

  if (convID == null) {
    showSimpleSnack(context, tr("Could not find a private conversation!"));
    return false;
  }

  // Open the conversation
  MainController.of(context).openConversation(convID);

  // Success
  return true;
}
